- name: SSH config Setup
  become: "{{ false if inventory_hostname == 'nas.home.lan' else true }}"
  block:
    - name: Upload config
      ansible.builtin.copy:
        src: config
        dest: /home/jd/.ssh/config
        mode: '0600'
        owner: jd
        group: jd
      when: inventory_hostname != 'nas.home.lan'
    - name: Upload config
      ansible.builtin.copy:
        src: config
        dest: /root/.ssh/config
        mode: '0600'
        owner: root
        group: root
      when: inventory_hostname != 'nas.home.lan'
